Summary:	Universal Text Recognizer and Converter
Name:		utrac
Version:	0.3.0
Release:	%mkrel 15
License:	GPL
Group:		File tools
URL:		https://utrac.sourceforge.net/
Source0:	https://utrac.sourceforge.net/download/utrac-%{version}.tar.bz2
Patch0:		utrac-fix-long-64bit.diff

%description
UTRAC stands for Universal Text Recognizer and Converter. It is a command line
tool and a library that recognize the encoding of an input file (ex: UTF-8,
ISO-8859-1, CP437...) and its end-of-line type (CR, LF, CRLF). 

%prep

%setup -q
%patch -P 0 -p1

perl -pi -e "s|/usr/local|%{_prefix}|g" Makefile
perl -pi -e "s|/lib|/%{_lib}|g" Makefile
perl -pi -e "s|/man/man1|/share/man/man1|g" Makefile

%build

%make_build CFLAGS="%{optflags}"

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/utrac
install -d %{buildroot}%{_mandir}/man1

install -m0755 utrac %{buildroot}%{_bindir}/
install -m0644 charsets.dat %{buildroot}%{_datadir}/utrac/
install -m0644 utrac.1 %{buildroot}%{_mandir}/man1/

%files
%doc CHANGES CREDITS README TODO doc/*.xml
%dir %{_datadir}/utrac
%attr(0755,root,root) %{_bindir}/utrac
%attr(0644,root,root) %{_datadir}/utrac/charsets.dat
%attr(0644,root,root) %{_mandir}/man1/*




%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.3.0-15.mga10
+ Revision: 2128237
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 0.3.0-14.mga9
+ Revision: 1792408
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.3.0-13.mga8
+ Revision: 1517744
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.3.0-12.mga7
+ Revision: 1301557
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.3.0-11.mga6
+ Revision: 941371
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-10.mga5
+ Revision: 747821
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.0-9.mga5
+ Revision: 730700
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-8.mga5
+ Revision: 690110
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-7.mga4
+ Revision: 522169
- Mageia 4 Mass Rebuild

* Sun Feb 10 2013 neoclust <neoclust> 0.3.0-6.mga3
+ Revision: 397724
- imported package utrac

